//---------------------------------------------------------------------------
#pragma hdrstop
#include "cage.h"
//---------------------------------------------------------------------------
// 
cage::cage(TComponent *own,TImageList *imgs,int x,int y) : TImage(own) {
 this->Parent = dynamic_cast<TWinControl *>(own);  // 
 this->img = imgs;            //   ""
 this->Left = x;              // x
 this->Top = y;               // y
 this->Height = imgs->Height; //
 this->Width = imgs->Height;  //
 s = 0;                       //  -  
 sl = false;                  //  
 draw();                      // 
};
//---------------------------------------------------------------------------
//     
void cage::draw() {
 Graphics::TBitmap *im = new Graphics::TBitmap;//  
  img->GetBitmap(s,im);                    //     
  TRect rec = Rect(0,0,Height,Height);
  this->Canvas->CopyRect(rec,im->Canvas,rec);//    
 delete im;                                  // 
 if (sl) {                                   //  
  this->Canvas->Pen->Color = clRed;          //  
  this->Canvas->Brush->Style = bsClear;
  this->Canvas->Rectangle(1,1,Height-1,Width-1);
 };
};
//---------------------------------------------------------------------------
int cage::GStat() {        //  
 return s;
};
//---------------------------------------------------------------------------
void cage::SStat(int st) { //  
 s = st;
 draw();
};
//---------------------------------------------------------------------------
bool cage::GSel() {        // sl
 return sl;
};
//---------------------------------------------------------------------------
void cage::SSel(bool sl) { // sl
 this->sl = sl;
 draw();
};
//---------------------------------------------------------------------------
#pragma package(smart_init)
